# Be my Valentine - [WEB] Challenge Santhacklaus

Be my Valentine is a Web challenge proposed during the **Santhacklaus CTF**. This online event, _santhacklaus.xyz_, was a four students project from IMT Lille Douai (Telecom Lille). This Capture The Flag in jeopardy style lasted one week (14 to 21 December 2018) and gathered more than 400 participants.

## Getting Started

### Prerequisites

To use this project, you need to install [Docker](https://docs.docker.com/install/) and [Docker-Compose](https://docs.docker.com/compose/install/).

### Configuration

You probably need to change the port in `docker-compose.yml` file to avoid conflict with other softwares, like another Web server.

```
...
ports:
    - "<chosen_port>:443"
...
```

### Running

Move into the root repository, then, build and start all the containers with this following command:

```
docker-compose up -d
```

Now, you can access to this challenge at localhost:<chosen_port>.

That's all! 😉

## Online version

You can find a online version of this project on [CTF;space](https://challenges.deldel.fr) platform.


## During and after the CTF

### Statement

> Take care of your heart (maybe also your eyes).

### Write-ups

* [Write-up](https://haax.fr/fr/writeups/santhacklausctf-2018/santhacklaus-ctf/#be-my-valentine-400-pts) written by Haax
* Another [write-up](https://maki.bzh/walkthrough/santhacklaus2018/#be-my-valentine)  by Maki
* [Write-up](https://0xukn.fr/posts/writeupsanthacklaus2019bemyvalentine/) by 0xUKN

Thank you for taking the time to write your solution! :)

You can contact me if you want to add your write-up in the list.

## Authors

 * **Aymeric Sorek** - _alias_ [deldel](https://www.deldel.fr)

## License

This project is licensed under the GNU General Public License - see the [LICENSE](LICENSE) file for details
